Module org.jfree.chart3d
Package org.jfree.chart3d.plot

# Class Plot3DChangeEvent

java.lang.Object
java.util.EventObject
org.jfree.chart3d.plot.Plot3DChangeEvent

All Implemented Interfaces:
  `Serializable`

public class Plot3DChangeEvent extends EventObject
An event used to signal a change to a `Plot3D`. Any object that implements the `Plot3DChangeListener` interface can register with a plot to receive change notifications. By default, the `Chart3D` object will register with the plot it manages to monitor changes to the plot and its subcomponents.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`Plot3DChangeEvent(Object source, Plot3D plot, boolean requiresWorldUpdate)`
Creates a new event.

## Method Summary

Modifier and Type
Method
Description
`Plot3D`
`getPlot()`
Returns the plot from which the event came.
`boolean`
`requiresWorldUpdate()`
Returns the flag indicating whether or not this change event requires the world to be updated/recreated.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Plot3DChangeEvent

public Plot3DChangeEvent(Object source, Plot3D plot, boolean requiresWorldUpdate)
Creates a new event. The `source` of the event can be either the plot instance or another event that was received by the plot (for example, a `Dataset3DChangeEvent`).

Parameters:
  `source` - the event source (`null` not permitted).
  `plot` - the plot (`null` not permitted).
  `requiresWorldUpdate` - a flag that indicates whether or not the world requires updating because of this change.

## Method Details

### getPlot

public Plot3D getPlot()
Returns the plot from which the event came.

Returns:
  The plot (never `null`).

### requiresWorldUpdate

public boolean requiresWorldUpdate()
Returns the flag indicating whether or not this change event requires the world to be updated/recreated.

Returns:
  A boolean.
Since:
  1.2